#include <iostream>
#define ll long long

using namespace std;

int n,k,x;

int main()
{
    cin >> n >> k >> x;
    if(k==3){
        cout << 1 <<  " " << 2 << " " << 3 << " ";
        for(int i=0;i<n-4;++i){
            cout << x << " ";
        }
        cout << x+3 << endl;
    }
    else{
        cout << -1;
    }
    return 0;
}